[Lisp]Draw Ladder 3D

[Lisp]Draw Ladder 3D

Are you tired of drawing vertical lines to complex ladder? Let’s lisp Straight CADViet help you somewhat. You copy the code below into a file and then appload up lisp file and use the tinhthang

 

(defun c:tinhthang()
(defun l2bac(ent)
(setq
tt (entget ent)
p1 (cdr (assoc 10 tt))
p2 (cdr (assoc 11 tt))
)
(list p1 p2)
)
(princ "\nCADViet.com (c) 2007")
(setq
ssbac (ssget '((0 . "LINE")))
hbac (getdist "\nChieu cao bac")
lstent (ss2ent ssbac)
ttbac (mapcar 'l2bac lstent)
index 0.0
)
(command ".3dmesh")
(command (* 2 (length lstent)) 2)
(foreach pp ttbac
(setq
caoht (* index hbac)
index (+ index 1.0)
p1 (car pp)
p2 (cadr pp)
x1 (car p1)
y1 (cadr p1)
x2 (car p2)
y2 (cadr p2)
za caoht
zb (+ caoht hbac)
p1a (list x1 y1 za)
p1b (list x1 y1 zb)
p2a (list x2 y2 za)
p2b (list x2 y2 zb)
)
(command p1a p2a p1b p2b)
)
)

(princ "\ntinhthang - free lisp")
(princ)

 Free download[ Lisp]Draw Ladder 3D

Download Mirror 01  Mirror 02  Mirror 03  Mirror 04

[Lisp]Draw Ladder 3D
Rate this post

Leave a Reply

Your email address will not be published. Required fields are marked *

8 + 9 =